import React, { Component } from 'react';

class ChannelEntry extends Component<ChannelEntryProps> {
  render() {
    const { name, subchannels } = this.props.channel;
    return (
      <>
        <div>{name}</div>
        {subchannels !== undefined && (
          <ul>
            {subchannels.map(e => {
              return <li key={e.id}>{e.name}</li>;
            })}
          </ul>
        )}
      </>
    );
  }
}

export default ChannelEntry;
